Name: tintii
Version: 2.2.0
Release: alt1

Summary: A photo editor for colour-select effects
License: BSD (revised)
Group: Graphics

Url: http://www.indii.org/software/tintii
Source: http://www.indii.org/files/tint/releases/%name-%version.tar.gz
Packager: Michael Shigorin <mike@altlinux.org>

Provides: tint = %version-%release
Obsoletes: tint < 2.0.0

# Automatically added by buildreq on Mon Sep 28 2009 (-bi)
BuildRequires: boost-devel cvs flex gcc-c++ ghostscript-utils libgomp-devel rcs scons texlive-latex-base wxGTK-devel

%description
Tint is a photo editor for colour-select effects.
It automatically clusters the colours of a photo into groups,
and allows each colour to be switched on or off to create the
desired effect.

%prep
%setup

%build
scons

%install
install -pD -m0755 %name %buildroot%_bindir/%name
install -d %buildroot{%_datadir/%name,%_desktopdir}
cp -a images/ %buildroot%_datadir/%name/
cat > %buildroot%_desktopdir/%name.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Type=Application
Name=tintii
GenericName=Image Tinter
Comment=Photo editor for colour-select effects
Exec=tintii
Icon=tintii
Terminal=false
Categories=Graphics;2DGraphics;RasterGraphics;GTK;
EOF

%files
%_bindir/%name
%_desktopdir/%name.desktop
%_datadir/%name/
%doc LICENSE.txt README.txt VERSION.txt

%changelog
* Tue Sep 29 2009 Michael Shigorin <mike@altlinux.org> 2.2.0-alt1
- 2.2.0
- buildreq

* Wed May 13 2009 Michael Shigorin <mike@altlinux.org> 2.1.0-alt1
- 2.1.0
- updated an Url:

* Thu Mar 26 2009 Michael Shigorin <mike@altlinux.org> 2.0.0-alt1
- 2.0.0
  + name changed from Tint to tintii
  + no more samples/
- removed patch
- BR: s/tetex-latex/texlive-latex-base/

* Thu Dec 04 2008 Michael Shigorin <mike@altlinux.org> 1.0.1-alt2
- applied repocop patch

* Tue Aug 28 2007 Michael Shigorin <mike@altlinux.org> 1.0.1-alt1
- built for ALT Linux
- added rough sketch of a desktop file
  (borrowed/trimmed-down gimp's one)
- hardwired icon path with a band-aid patch to allow tint be
  run from any directory, not only build one
- buildreq
- NB: successful build requires fixed scons, 0.97-alt1 is broken

